export declare const findUserByPayload: (payload: IJwtPayload) => Promise<UserInstance>;
export declare const generateAuthToken: (user: UserInstance, refreshExpiresIn?: number) => string;
export declare const hashPassword: (password: string) => Promise<string>;
export declare const comparePassword: (user: UserInstance, password: string) => Promise<boolean>;
